- Main Page
- Modules
- Classes
- Files
- Related Pages

- File List
- File Members

# src/typedefs.h File Reference

`#include <map>`
`#include <vector>`
`#include <deque>`
`#include "config.h"`
`#include <ode/ode.h>`
`#include "AssertionException.h"`
`#include "vectorMath/vmath.h"`

Go to the source code of this file.

## Classes
struct | PVector3r
struct | ViewPoint
struct | Line
struct | CarType
## Defines
#define | mASSERT(a)
## Typedefs
typedef Vector2< dReal > | Vector2r
typedef Vector3< dReal > | Vector3r
typedef Vector4< dReal > | Vector4r
typedef Matrix3< dReal > | Matrix3r
typedef Matrix4< dReal > | Matrix4r
typedef Quaternion< dReal > | Quatr
typedef std::vector< ViewPoint > | ViewPointVector
typedef std::map< int, SimulationObject * > | SOContainer
typedef std::vector< SimulationObject * > | SOVector
typedef std::vector< Car * > | CarVector
typedef std::map< int, Animated * > | AOContainer
typedef std::map< int, Visualized * > | VOContainer
typedef std::map< int, Sector * > | SectorMap
typedef std::vector< Sector * > | SectorVector
typedef std::deque< Sector * > | SectorDeque
typedef std::deque< Vector3r > | Polygon
typedef std::deque< Polygon * > | PolygonVector
typedef std::map< Sector *, Polygon * > | SectorPolygonMapping
typedef std::map< std::string, CarType > | CarTypeMap
typedef std::pair< Car *, CarPriority > | CarInSight
typedef std::multimap< Sector *, CarInSight > | SectorCarMapping
## Enumerations
enum | CarPriority { CAR_FOLLOW, CAR_NOT_INTERFERING, CAR_LET_GO, CAR_LETS_GO }
## Functions
std::ostream & | operator<< (std::ostream &oss, const PVector3r &p)
std::ostream & | operator<< (std::ostream &oss, const PVector3r *p)
std::ostream & | operator<< (std::ostream &oss, const CarVector &cv)
std::ostream & | operator<< (std::ostream &oss, const SectorDeque &sd)
std::ostream & | operator<< (std::ostream &oss, const Polygon &p)
std::ostream & | operator<< (std::ostream &oss, const Polygon *p)
std::ostream & | operator<< (std::ostream &oss, const Line &l)
std::ostream & | operator<< (std::ostream &oss, const SectorCarMapping &sm)

## Define Documentation

#define mASSERT | ( | a |  | ) |

Value:

    if (!(a)) {\
        _FATAL("Assertion \"" #a "\" failed");\
        throw AssertionException("assertion \"" #a "\" failed");\
    }

Own ASSERT macro, defined to work with own AssertionException

## Typedef Documentation

typedef std::map<int, Animated*> AOContainer

Basic container for animated objects

typedef std::pair<Car*, CarPriority> CarInSight

Internal definition for assignment of a car to it's priority

typedef std::map<std::string, CarType> CarTypeMap

Basic container for holding the car type data by the type name

typedef std::vector<Car*> CarVector

Basic container for holding car pointers

typedef Matrix3<dReal> Matrix3r

typedef Matrix4<dReal> Matrix4r

typedef std::deque<Vector3r> Polygon

Structure for holding polygon data - a series of vetrices

typedef std::deque<Polygon*> PolygonVector

Deque-like polygon vector

typedef Quaternion<dReal> Quatr

typedef std::multimap<Sector*, CarInSight> SectorCarMapping

Container for holding all cars in sight along with their priority

typedef std::deque<Sector*> SectorDeque

Deque container for sectors

typedef std::map<int, Sector*> SectorMap

Basic container for holding sector pointers by their ID

typedef std::map<Sector*, Polygon*> SectorPolygonMapping

Container mapping sectors to border polygons

typedef std::vector<Sector*> SectorVector

Vector container for sectors

typedef std::map<int, SimulationObject*> SOContainer

Basic container for holding simulation object pointers by their ID

typedef std::vector<SimulationObject*> SOVector

typedef Vector2<dReal> Vector2r

Shorthand notations for basic vector and matrix types

typedef Vector3<dReal> Vector3r

typedef Vector4<dReal> Vector4r

typedef std::vector<ViewPoint> ViewPointVector

Basic Viewpoint container

typedef std::map<int, Visualized*> VOContainer

Basic container for visualized objects

## Enumeration Type Documentation

enum CarPriority

Priority of a car CAR_FOLLOW - use the car follow mode and adjust speed accordingly CAR_NOT_INTERFERING - ignore the car CAR_LET_GO - basicaly wait until car clears the sector CAR_LETS_GO - such car should let us go, so ignore and go

Enumerator:

  CAR_FOLLOW |
  CAR_NOT_INTERFERING |
  CAR_LET_GO |
  CAR_LETS_GO |

## Function Documentation

std::ostream& operator<< | ( | std::ostream & | oss,
|  | const SectorCarMapping & | sm |
| ) |  |  |

std::ostream& operator<< | ( | std::ostream & | oss,
|  | const Line & | l |
| ) |  |  |

std::ostream& operator<< | ( | std::ostream & | oss,
|  | const Polygon * | p |
| ) |  |  |

std::ostream& operator<< | ( | std::ostream & | oss,
|  | const Polygon & | p |
| ) |  |  |

std::ostream& operator<< | ( | std::ostream & | oss,
|  | const SectorDeque & | sd |
| ) |  |  |

std::ostream& operator<< | ( | std::ostream & | oss,
|  | const CarVector & | cv |
| ) |  |  |

std::ostream& operator<< | ( | std::ostream & | oss,
|  | const PVector3r * | p |
| ) |  |  |

std::ostream& operator<< | ( | std::ostream & | oss,
|  | const PVector3r & | p |
| ) |  |  |